--- old/usr/src/uts/intel/io/acpica/acpica.c	jeu. déc. 26 13:50:38 2013
+++ new/usr/src/uts/intel/io/acpica/acpica.c	jeu. déc. 26 13:50:38 2013
@@ -18,17 +18,20 @@
  *
  * CDDL HEADER END
  */
+
 /*
  * Copyright (c) 2005, 2010, Oracle and/or its affiliates. All rights reserved.
  * Copyright (c) 2011, Joyent, Inc. All rights reserved.
- * Copyright 2011 Nexenta Systems, Inc.  All rights reserved.
+ * Copyright 2013 Nexenta Systems, Inc.  All rights reserved.
  */
+
 /*
  * Copyright (c) 2009, Intel Corporation.
  * All rights reserved.
  */
+
 /*
- * Solaris x86 ACPI CA services
+ * x86 ACPI CA services
  */
 
 #include <sys/file.h>
@@ -44,7 +47,7 @@
 #include <sys/kstat.h>
 #include <sys/x86_archext.h>
 
-#include <sys/acpi/acpi.h>
+#include <acpica/include/acpi.h>
 #include <sys/acpica.h>
 #include <sys/archsystm.h>
 
@@ -402,8 +405,10 @@
 	 * modify default ACPI CA debug output level for non-DEBUG builds
 	 * (to avoid BIOS debug chatter in /var/adm/messages)
 	 */
-	if (acpica_muzzle_debug_output)
+	if (acpica_muzzle_debug_output) {
+		AcpiDbgLayer = 0;
 		AcpiDbgLevel = 0;
+	}
 }
 
 /*
